Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# CORBA::InvalidPolicies Exception Reference

`#include <PolicyC.h>`

Inheritance diagram for CORBA::InvalidPolicies:

[legend]
Collaboration diagram for CORBA::InvalidPolicies:

[legend]
List of all members.

## Public Member Functions
| InvalidPolicies (void)
| InvalidPolicies (const InvalidPolicies &)
| ~InvalidPolicies (void)
InvalidPolicies & | operator= (const InvalidPolicies &)
virtual CORBA::Exception * | _tao_duplicate (void) const
| Deep copy.
virtual void | _raise (void) const
virtual void | _tao_encode (TAO_OutputCDR &) const
virtual void | _tao_decode (TAO_InputCDR &)
| InvalidPolicies (const ACE_NESTED_CLASS(CORBA, UShortSeq)&_tao_indices)
virtual CORBA::TypeCode_ptr | _tao_type (void) const
| Will be overridden in the concrete derived classes.
## Static Public Member Functions
void | _tao_any_destructor (void *)
| Used in the non-copying Any insertion operator.
InvalidPolicies * | _downcast (CORBA::Exception *)
| The narrow operation.
const InvalidPolicies * | _downcast (CORBA::Exception const *)
| The const version of narrow operation.
CORBA::Exception * | _alloc (void)
## Public Attributes
UShortSeq | indices
CORBA::UShortSeq | indices

## Constructor & Destructor Documentation

CORBA::InvalidPolicies::InvalidPolicies | ( | void |  | ) |

CORBA::InvalidPolicies::InvalidPolicies | ( | const InvalidPolicies & |  | ) |

CORBA::InvalidPolicies::~InvalidPolicies | ( | void |  | ) |

CORBA::InvalidPolicies::InvalidPolicies | ( | const ACE_NESTED_CLASS(CORBA, UShortSeq)& | _tao_indices | ) |

## Member Function Documentation

CORBA::Exception * CORBA::InvalidPolicies::_alloc | ( | void |  | ) | `[static]`

const CORBA::InvalidPolicies * CORBA::InvalidPolicies::_downcast | ( | CORBA::Exception const * |  | ) | `[static]`

| The const version of narrow operation. Reimplemented from CORBA::UserException.

CORBA::InvalidPolicies * CORBA::InvalidPolicies::_downcast | ( | CORBA::Exception * |  | ) | `[static]`

| The narrow operation. Reimplemented from CORBA::UserException.

void CORBA::InvalidPolicies::_raise | ( | void |  | ) | const`[virtual]`

| Implements CORBA::UserException.

void CORBA::InvalidPolicies::_tao_any_destructor | ( | void * |  | ) | `[static]`

| Used in the non-copying Any insertion operator. Reimplemented from CORBA::Exception.

void CORBA::InvalidPolicies::_tao_decode | ( | TAO_InputCDR & |  | ) | `[virtual]`

| Implements CORBA::Exception.

CORBA::Exception * CORBA::InvalidPolicies::_tao_duplicate | ( | void |  | ) | const`[virtual]`

| Deep copy. The following operation is used in the implementation of it performs a deep copy of the exception, normally it is implemented as:
     class SomeException : public // Derives from CORBA::Exception
     {
     public:
       virtual CORBA::Exception *_tao_duplicate (void) const
       {
         CORBA::Exception *result = 0;
         ACE_NEW_RETURN (
             result,
             SomeException (*this),
             0
           );
         return result;
       }
     };
Implements CORBA::Exception.

void CORBA::InvalidPolicies::_tao_encode | ( | TAO_OutputCDR & |  | ) | const`[virtual]`

| Implements CORBA::Exception.

CORBA::TypeCode_ptr CORBA::InvalidPolicies::_tao_type | ( | void |  | ) | const`[virtual]`

| Will be overridden in the concrete derived classes. Reimplemented from CORBA::UserException.

InvalidPolicies& CORBA::InvalidPolicies::operator= | ( | const InvalidPolicies & |  | ) |

## Member Data Documentation

CORBA::UShortSeq CORBA::InvalidPolicies::indices

UShortSeq CORBA::InvalidPolicies::indices

The documentation for this exception was generated from the following files:

- Policy.pidl
- PolicyC.h
- PolicyC.cpp